'IDE-Voreinstellungen:
'Option Explicit On
'Option Strict On

'"My Project"-Einstellungen:
'Imports System.Windows.Forms

Public Class frmEnumComboColumn

   Public Sub New()
      InitializeComponent()
      Me.DockComboColumn.DataSource = [Enum].GetValues(GetType(DockStyle))
      Me.DockStyleDataSet.DockStyle.AddDockStyleRow(DockStyle.Top)
      Me.DockStyleDataSet.DockStyle.AddDockStyleRow(DockStyle.Fill)
   End Sub



   Private Sub ControlDataGridView_DataError(ByVal sender As Object, ByVal e As DataGridViewDataErrorEventArgs) Handles ControlDataGridView.DataError
      e.ThrowException = True   'nicht behandelte Fehler werfen
      With DirectCast(sender, DataGridView)(e.ColumnIndex, e.RowIndex)
         If TypeOf (.OwningColumn) Is DataGridViewComboBoxColumn AndAlso .ValueType.IsEnum Then
            'Datagridview-Bug: Die Fehler-Meldung "Der Zellwert ist ungltig" ist schlicht falsch - der Zellwert **ist** gltig. Daher die Exception ohne weiteres ignorieren.
            e.ThrowException = False
         End If
      End With
   End Sub

End Class
